
#define game_pause
////////////////////////////////////////////////////////////////
// script name: game_pause
//     creator: Mark Overmars
//        date: May 28, 2001
//
// description: Displays a message on the screen and waits till the
//              player presses a key.
//
//   arguments: argument0 = message color
//
//     remarks: 
////////////////////////////////////////////////////////////////
{
  // remember current values
  __font_color = font_color;
  __font_size = font_size;
  __font_style = font_style;
  __font_name = font_name;
  __font_align = font_align;
  // draw the text, refresh the screen and wait
  font_color = argument0;
  font_size = 16;
  font_style = fs_bold;
  font_name = 'Arial';
  font_align = fa_center;
  draw_text(screen_width/2,100,'Game Paused. Press any key to continue.');
  screen_refresh();
  keyboard_wait();
  io_clear();
  // restore the settings
  font_color = __font_color;
  font_size = __font_size;
  font_style = __font_style;
  font_name = __font_name;
  font_align = __font_align; 
}
  


